<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Home</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Home</h1>

    



    


    <h3> </h3>










    




    <section>
        <article><h2>Scavader</h2>
<p>Some true magic about scaffolding a web [backend/front]-end application !</p>
<h3>Installation</h3>
<p><code>npm install -g @scavader/scavader</code></p>
<h3>Basic usage</h3>
<ol>
<li>Initialize the scaffolding structure: <code>scavader init</code></li>
<li>Run the scaffolder: <code>scavader run</code></li>
</ol>
<p>You can now edit the <code>./scaffold/questions/*</code> and <code>./scaffold/commands/*</code>.</p>
<h3>Command Line Interface (CLI)</h3>
<pre class="prettyprint source lang-bash"><code>scavader init -d myscavader -p web-application
scavader run -d myscavader -q questions
</code></pre>
<p>You can create other question(s) file(s) in the <code>./scaffold/questions</code>
directory and use the <code>-q</code> option to specify which one to use.</p>
<p>Check the help by simply running the <code>scavader</code> command</p>
<h3>Example of usage in a script</h3>
<pre class="prettyprint source lang-javascript"><code>Scavader = require(&quot;scavader&quot;)

// Question(s) file to use
const questionsFile = &quot;questions&quot;;

// Example of scavader using the `./scaffold.example` folder and run the
// questions located in `./scaffold.example/questions/questions.js`
let scavader = new M.Scavader(&quot;./scaffold/&quot;, &quot;Scavader&quot;);
scavader.run(questionsFile).then(result => {
  console.log(result);
});
</code></pre>
<h3>Demonstration and documentation</h3>
<p>Go to the Scavader package directory (<code>cd node_modules/scavader</code>) or
download a clone of the project from github.com and run <code>npm install</code>.</p>
<ul>
<li>Run the demonstration: <code>npm run demo</code></li>
<li>Launch the offline documentation: <code>npm run doc</code></li>
</ul>
<h3>History</h3>
<p>Scavader means Scaffolder-Invader, this tools was build to quickly scaffold my
own projects.</p>
<h3>Author and Contributor</h3>
<p>Yves Lange</p></article>
    </section>






</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-menu.html">menu</a></li><li><a href="module-scaffold.html">scaffold</a></li></ul><h3>Classes</h3><ul><li><a href="Scavader.html">Scavader</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.2</a> on Wed Jun 12 2019 17:39:45 GMT+0100 (GMT+01:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>